package de.intevation.flys.client.server.auth;

import java.util.List;

public class DefaultUser
implements   User
{
    protected String  name;
    protected String  password;
    protected boolean expired;
    protected List<String> roles;
    protected List<String> features;

    public DefaultUser() {
    }

    public DefaultUser(
        String       name,
        String       password,
        boolean      expired,
        List<String> roles,
        List<String> features
    ) {
        this.name     = name;
        this.password = password;
        this.expired  = expired;
        this.roles    = roles;
        this.features = features;
    }

    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public boolean hasExpired() {
        return expired;
    }

    public void setExpired(boolean expired) {
        this.expired = expired;
    }

    @Override
    public List<String> getRoles() {
        // XXX: return clone of the list?
        return this.roles;
    }

    public void setRoles(List<String> roles) {
        this.roles = roles;
    }

    @Override
    public boolean canUseFeature(String feature) {
        return this.features.contains(feature);
    }

    public void setAllowedFeatures(List<String> features) {
        this.features = features;
    }
}
// vim:set ts=4 sw=4 si et fenc=utf8 tw=80:
